Subject: Re: [lfs-dev] uname -i, -p show 'unknown' after update to coreutils-8.16

From: xinglp <[email-masked]>
Date: Thu, 5 Apr 2012 17:13:29 +0800

在 2012年4月5日 下午4:34，Matthew Burgess <[email-masked]> 写道：
> That's because we (LFS) dropped the uname patch from
> our build instructions because upstream won't take
> it in its current form.  If my understanding is
> correct, the correct way of implementing this feature
> is by a combination of changes in the kernel & Glibc.
>
> I don't have the skill necessary to do that, and
> by virtue of the fact that these uname patches have
> been floating around for so many years, nobody with
> the skill has the inclination to fix this.
>
> Is this causing you any issues other than purely
> cosmetic ones?
a few of my bash scripts depend on "uname -i" or "uname -p", I think
I'd better change them to use "uname -m".
[sorry, forget to cc to [email-masked]]
>
> Regards,
>
> Matt.
>
> --
> http://linuxfromscratch.org/mailman/listinfo/lfs-dev
> FAQ: http://www.linuxfromscratch.org/faq/
> Unsubscribe: See the above information page